Summary:        A file format designed for highly efficient deltas while maintaining good compression
Name:           zchunk
Version:        1.3.2
Release:        1%{?dist}
License:        BSD and MIT
URL:            https://github.com/zchunk/zchunk
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  gcc, meson
BuildRequires:  pkgconfig(libzstd), pkgconfig(libcurl), pkgconfig(openssl)
Requires:       %{name}-libs = %{version}-%{release}
Provides:       bundled(buzhash-urlblock) = 0.1

%description
zchunk is a compressed file format that splits the file into independent 
chunks. This allows you to only download changed chunks when downloading a new 
version of the file, and also makes zchunk files efficient over rsync.

zchunk files are protected with strong checksums to verify that the file you 
downloaded is, in fact, the file you wanted.

As of zchunk-1.0, the ABI and API have been marked stable, and the only 
changes allowed are backwards-compatible additions.

%package libs
Summary: Zchunk shared library

%description libs
zchunk is a compressed file format that splits the file into independent 
chunks. This allows you to only download changed chunks when downloading a new 
version of the file, and also makes zchunk files efficient over rsync.

zchunk files are protected with strong checksums to verify that the file you 
downloaded is, in fact, the file you wanted.

As of zchunk-1.0, the ABI and API have been marked stable, and the only 
changes allowed are backwards-compatible additions.

This package contains the zchunk shared library, libzck.

%package devel
Summary: Zchunk developing files matched with libzck
Requires: %{name}-libs = %{version}-%{release}

%description devel
zchunk is a compressed file format that splits the file into independent 
chunks. This allows you to only download changed chunks when downloading a new 
version of the file, and also makes zchunk files efficient over rsync.

zchunk files are protected with strong checksums to verify that the file you 
downloaded is, in fact, the file you wanted.

As of zchunk-1.0, the ABI and API have been marked stable, and the only 
changes allowed are backwards-compatible additions.

This package contains the zchunk developing files matched with libzck.



%prep
%autosetup
rm -rf src/lib/hash/sha*



%build
%meson -Dwith-openssl=enabled -Dwith-zstd=enabled
%meson_build



%install
%meson_install
mkdir -p %{buildroot}%{_libexecdir}
install contrib/gen_xml_dictionary %{buildroot}%{_libexecdir}/zck_gen_xml_dictionary



%check
%meson_test



%files
%doc README.md contrib
%{_bindir}/zck*
%{_bindir}/unzck
%{_libexecdir}/zck_gen_xml_dictionary
%{_mandir}/man1/*.gz

%files libs
%license LICENSE
%doc README.md
%{_libdir}/libzck.so.*

%files devel
%doc zchunk_format.txt
%{_libdir}/libzck.so
%{_libdir}/pkgconfig/zck.pc
%{_includedir}/zck.h



%changelog
* Wed Jan 10 2024 kianli <kianli@tencent.com> - 1.3.2-1
- Upgrade to 1.3.2

* Thu Oct 12 2023 Miaojun Dong <zoedong@tencent.com> - 1.3.1-3
- Rebuild for curl-8.4.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu May 4 2023 Wang Guodong <gordonwwang@tencent.com> - 1.3.1-1
- Upgrade to 1.3.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 01 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.2.2-1
- Initial building
